Package fr.gouv.vitam.common.model.export.transfer

# Class TransferRequest

java.lang.Object
fr.gouv.vitam.common.model.export.transfer.TransferRequest

public class TransferRequest extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TransferRequest()`
  `TransferRequest(com.fasterxml.jackson.databind.JsonNode dslRequest)`
  `TransferRequest(DataObjectVersions dataObjectVersionToExport, com.fasterxml.jackson.databind.JsonNode dslRequest, boolean withLogBookLFC)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DataObjectVersions`
  `getDataObjectVersionToExport()`
  `com.fasterxml.jackson.databind.JsonNode`
  `getDslRequest()`
  `Long`
  `getMaxSizeThreshold()`
  `String`
  `getSedaVersion()`
  `TransferRequestParameters`
  `getTransferRequestParameters()`
  `boolean`
  `isTransferWithLogBookLFC()`
  `boolean`
  `isTransferWithoutObjects()`
  `void`
  `setDataObjectVersionToExport(DataObjectVersions dataObjectVersionToExport)`
  `void`
  `setDslRequest(com.fasterxml.jackson.databind.JsonNode dslRequest)`
  `void`
  `setMaxSizeThreshold(Long maxSizeThreshold)`
  `void`
  `setSedaVersion(String sedaVersion)`
  `void`
  `setTransferRequestParameters(TransferRequestParameters transferRequestParameters)`
  `void`
  `setTransferWithLogBookLFC(boolean transferWithLogBookLFC)`
  `void`
  `setTransferWithoutObjects(boolean transferWithoutObjects)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TransferRequest

    public TransferRequest()

  - ### TransferRequest

    public TransferRequest(com.fasterxml.jackson.databind.JsonNode dslRequest)

  - ### TransferRequest

    public TransferRequest(DataObjectVersions dataObjectVersionToExport, com.fasterxml.jackson.databind.JsonNode dslRequest, boolean withLogBookLFC)

- ## Method Details

  - ### getDataObjectVersionToExport

    public DataObjectVersions getDataObjectVersionToExport()

  - ### setDataObjectVersionToExport

    public void setDataObjectVersionToExport(DataObjectVersions dataObjectVersionToExport)

  - ### getTransferRequestParameters

    public TransferRequestParameters getTransferRequestParameters()

  - ### setTransferRequestParameters

    public void setTransferRequestParameters(TransferRequestParameters transferRequestParameters)

  - ### isTransferWithLogBookLFC

    public boolean isTransferWithLogBookLFC()

  - ### setTransferWithLogBookLFC

    public void setTransferWithLogBookLFC(boolean transferWithLogBookLFC)

  - ### getDslRequest

    public com.fasterxml.jackson.databind.JsonNode getDslRequest()

  - ### setDslRequest

    public void setDslRequest(com.fasterxml.jackson.databind.JsonNode dslRequest)

  - ### getMaxSizeThreshold

    public Long getMaxSizeThreshold()

  - ### setMaxSizeThreshold

    public void setMaxSizeThreshold(Long maxSizeThreshold)

  - ### getSedaVersion

    public String getSedaVersion()

  - ### setSedaVersion

    public void setSedaVersion(String sedaVersion)

  - ### isTransferWithoutObjects

    public boolean isTransferWithoutObjects()

  - ### setTransferWithoutObjects

    public void setTransferWithoutObjects(boolean transferWithoutObjects)